org.apache.hadoop.yarn.webapp.hamlet

## Enum HamletSpec.Method

- java.lang.Object
- - java.lang.Enum<HamletSpec.Method>
  - - org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.Method

- All Implemented Interfaces:
    Serializable, Comparable<HamletSpec.Method>
  Enclosing class:
    HamletSpec

      public static enum HamletSpec.Method
      extends Enum<HamletSpec.Method>

  Values for form methods (case-insensitive)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `get` HTTP GET
    `post` HTTP POST

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HamletSpec.Method` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HamletSpec.Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### get

          public static final HamletSpec.Method get

      HTTP GET

    - #### post

          public static final HamletSpec.Method post

      HTTP POST

  - ### Method Detail

    - #### values

          public static HamletSpec.Method[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HamletSpec.Method c : HamletSpec.Method.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HamletSpec.Method valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.